#!/bin/sh

#####################
# Put this script as the post action of the Archive in the scheme
# BCmaps must be in a folder BCSymbolMaps placed in the project root directory (SRCROOT)
######################

BITCODEMAPS=BCSymbolMaps
FRAMEWORK_TEMP_ARCHIVE_LOG="/tmp/${PROJECT_NAME}_archive200.log"

# Log the standard output to FRAMEWORK_TEMP_ARCHIVE_LOG
exec > "${FRAMEWORK_TEMP_ARCHIVE_LOG}" 2>&1

##############
# Remove the simulator architectures
##############
FRAMEWORK=SignaKit
FRAMEWORK_EXECUTABLE_PATH="${ARCHIVE_PRODUCTS_PATH}/Applications/${FRAMEWORKS_FOLDER_PATH}/${FRAMEWORK}.framework/${FRAMEWORK}"

echo "ARCHIVE_PRODUCTS_PATH = ${ARCHIVE_PRODUCTS_PATH}"
echo "FRAMEWORKS_FOLDER_PATH = ${FRAMEWORKS_FOLDER_PATH}"

EXTRACTED_ARCHS=()
for ARCH in $ARCHS
do
echo "Extracting $ARCH..."
lipo -extract "$ARCH" "$FRAMEWORK_EXECUTABLE_PATH" -o "$FRAMEWORK_EXECUTABLE_PATH-$ARCH"
EXTRACTED_ARCHS+=("$FRAMEWORK_EXECUTABLE_PATH-$ARCH")
done
echo "Merging binaries..."
lipo -o "$FRAMEWORK_EXECUTABLE_PATH-merged" -create "${EXTRACTED_ARCHS[@]}"
rm "${EXTRACTED_ARCHS[@]}"
rm "$FRAMEWORK_EXECUTABLE_PATH"
mv "$FRAMEWORK_EXECUTABLE_PATH-merged" "$FRAMEWORK_EXECUTABLE_PATH"

###############
# Copy bit code
###############

echo "ARCHIVE_PRODUCTS_PATH = ${ARCHIVE_PRODUCTS_PATH}"

ARCHIVE="${ARCHIVE_PRODUCTS_PATH}/../${BITCODEMAPS}"
FRAMEWORK_BITCODEMAPS="${ARCHIVE_PRODUCTS_PATH}/Applications/${FRAMEWORKS_FOLDER_PATH}/${FRAMEWORK}.framework/INVASIVECODE"

cd "${SRCROOT}"

#cp "${BITCODEMAPS}"/* "${ARCHIVE}"/
mv "${FRAMEWORK_BITCODEMAPS}"/*.bcsymbolmap "${ARCHIVE}"/
rm -rf "${FRAMEWORK_BITCODEMAPS}"



